GDB (xrefs)

Public Attributes | List of all members
gdb_xml_element Struct Reference

`#include "xml-support.h"`

## Public Attributes
const char * | name
const struct gdb_xml_attribute * | attributes
const struct gdb_xml_element * | children
int | flags
gdb_xml_element_start_handler * | start_handler
gdb_xml_element_end_handler * | end_handler

## Detailed Description

Definition at line 165 of file xml-support.h.

## Member Data Documentation

## ◆ attributes

const struct gdb_xml_attribute* gdb_xml_element::attributes

Definition at line 168 of file xml-support.h.

Referenced by gdb_xml_parser::start_element().

## ◆ children

const struct gdb_xml_element* gdb_xml_element::children

Definition at line 169 of file xml-support.h.

Referenced by gdb_xml_parser::start_element().

## ◆ end_handler

gdb_xml_element_end_handler* gdb_xml_element::end_handler

Definition at line 173 of file xml-support.h.

Referenced by gdb_xml_parser::end_element().

## ◆ flags

int gdb_xml_element::flags

Definition at line 170 of file xml-support.h.

Referenced by gdb_xml_parser::end_element(), and gdb_xml_parser::start_element().

## ◆ name

const char* gdb_xml_element::name

Definition at line 167 of file xml-support.h.

Referenced by gdb_xml_parser::end_element(), and gdb_xml_parser::start_element().

## ◆ start_handler

gdb_xml_element_start_handler* gdb_xml_element::start_handler

Definition at line 172 of file xml-support.h.

Referenced by gdb_xml_parser::start_element().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xml-support.h